"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoutingString = exports.RoutingPointDefault = exports.RoutingDefault = void 0;
function RoutingDefault() {
    return {
        from: RoutingPointDefault(),
        to: RoutingPointDefault(),
        amount: undefined,
        units: undefined,
    };
}
exports.RoutingDefault = RoutingDefault;
function RoutingPointDefault() {
    return {
        network: "",
        address: "",
        token: "",
        txn_signature: ""
    };
}
exports.RoutingPointDefault = RoutingPointDefault;
function RoutingString(routing) {
    return JSON.stringify(routing, (key, value) => typeof value === 'bigint'
        ? value.toString()
        : JSON.stringify(value, (keyInner, valueInner) => typeof valueInner === 'bigint'
            ? valueInner.toString()
            : valueInner));
}
exports.RoutingString = RoutingString;
