export type Routing = {
    from: RoutingPoint;
    to: RoutingPoint;
    amount: number | undefined;
    units: bigint | undefined;
};
export type RoutingPoint = {
    network: string;
    address: string;
    token: string;
    txn_signature: string;
};
export declare function RoutingDefault(): Routing;
export declare function RoutingPointDefault(): RoutingPoint;
export declare function RoutingString(routing: Routing): String;
